Factunexo Docs
API RESTReferenciaBillingGuías de Remisión

Crear y autorizar guía de remisión

POST
/api/v1/billing/referral-guides

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/billing/referral-guides" \  -H "Content-Type: application/json" \  -d '{    "posId": "7f542382-3a91-4db8-938e-e9f86b88057c",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "carrierVehicleId": "2976ff01-c32e-480c-bb25-1c2d3e67ee44",    "info": {      "departureAddress": "string",      "transporterTaxpayerName": "string",      "transporterIdentification": "string",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO",      "transportStartDate": "2019-08-24",      "transportEndDate": "2019-08-24",      "plate": "string"    },    "recipients": [      {        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "recipientIdentification": "string",        "recipientSocialReason": "string",        "recipientAddress": "string",        "transferReason": "string"      }    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "referralGuideId": "940c04b5-d975-43bf-a543-7aa7d77fe75c",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "departureAddress": "string",    "transporterTaxpayerName": "string",    "plate": "string",    "transportStartDate": "2019-08-24",    "transportEndDate": "2019-08-24",    "recipients": [      {        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "recipientIdentification": "string",        "recipientSocialReason": "string",        "recipientAddress": "string",        "transferReason": "string"      }    ]  }}